www.cendio.com
Bug 5382 - Update Windows screenshot, use "Remote Desktop Services" rather than "Terminal Server" for RDP
: Update Windows screenshot, use "Remote Desktop Services" rather than "Termina...
Status: CLOSED FIXED
: ThinLinc
Misc
: trunk
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-12-10 14:13 by
Modified: 2015-05-11 08:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-12-10 14:13:57
Currently, the default Windows profile talks about "Windows Terminal Services"
rather than "Remote Desktop Services", and uses a screenshot from Windows 2003.
We should update this to new wording a a more modern screenshot.
------- Comment #1 From cendio 2014-12-10 14:19:41 -------
Fixed in 29705.
------- Comment #2 From cendio 2015-01-07 10:06:10 -------
I'm extending this bug to cover all parts of the product where we refer to
Windows RDP servers as "Windows Terminal Server".
------- Comment #3 From cendio 2015-01-07 11:01:53 -------
Note that the most common term is "Remote Desktop Services", but Microsoft also
uses "Remote Desktop Server", so we should be able to use that as well.
------- Comment #4 From cendio 2015-01-07 13:44:26 -------
A related question is whether we should use "RDS" instead of "WTS". This could
even mean renaming our "WTS Tools" package to "RDS Tools".
------- Comment #5 From cendio 2015-01-07 13:54:53 -------
(In reply to comment #3)
> Note that the most common term is "Remote Desktop Services", but Microsoft also
> uses "Remote Desktop Server", so we should be able to use that as well.

Fixed in 29781.
------- Comment #6 From cendio 2015-01-07 14:18:10 -------
(In reply to comment #4)
> A related question is whether we should use "RDS" instead of "WTS". This could
> even mean renaming our "WTS Tools" package to "RDS Tools".

Fixed in 29782 by avoiding both WTS and RDS. The name "WTS Tools" is kept for
now.
------- Comment #7 From cendio 2015-05-05 13:41:02 -------
(In reply to comment #5)
> (In reply to comment #3)
> > Note that the most common term is "Remote Desktop Services", but Microsoft also
> > uses "Remote Desktop Server", so we should be able to use that as well.
> 
> Fixed in 29781.

There is a reference to "Remote Desktop Server" without any context in
LDAP-auth.xml. Taking ownership of bug to fix it, moving testing duties to
Henrik.
------- Comment #8 From cendio 2015-05-05 13:41:37 -------
(In reply to comment #7)
> (In reply to comment #5)
> > (In reply to comment #3)
> > > Note that the most common term is "Remote Desktop Services", but Microsoft also
> > > uses "Remote Desktop Server", so we should be able to use that as well.
> > 
> > Fixed in 29781.
> 
> There is a reference to "Remote Desktop Server" without any context in
> LDAP-auth.xml. Taking ownership of bug to fix it, moving testing duties to
> Henrik.

r30288.
------- Comment #9 From cendio 2015-05-05 16:07:56 -------
The change in tlwebadm is strange:

from

  "Windows Terminal Server Groups (RDP)"

to

  "Windows Application Server Groups (RDP)"


Also, the screenshot in TAG does not reflect the change.
------- Comment #10 From cendio 2015-05-06 07:54:22 -------
(In reply to comment #5)
> (In reply to comment #3)
> > Note that the most common term is "Remote Desktop Services", but Microsoft also
> > uses "Remote Desktop Server", so we should be able to use that as well.
> 
> Fixed in 29781.

Commit verified using word diff and looks good:

  svn diff -c 29781 | wdiff -d
------- Comment #11 From cendio 2015-05-06 07:59:22 -------
Commit 29705 and 29781 review, looks good.
------- Comment #12 From cendio 2015-05-06 08:00:44 -------
review r30288, looks good.

Closing.
------- Comment #13 From cendio 2015-05-06 08:01:33 -------
Reopened due to comment #9 is not handled.
------- Comment #14 From cendio 2015-05-06 16:21:13 -------
Another issue:

> root@ubuntu:~# tl-config /appservergroups/rdp/default/description
> Sales department Windows Server 2008 with Terminal Services
------- Comment #15 From cendio 2015-05-07 11:41:59 -------
(In reply to comment #9)
> The change in tlwebadm is strange:
> 
> from
> 
>   "Windows Terminal Server Groups (RDP)"
> 
> to
> 
>   "Windows Application Server Groups (RDP)"
> 
> 
> Also, the screenshot in TAG does not reflect the change.

We looked into this and the name change looks correct. The screenshot wasn't,
so that got updated in r30301.

(In reply to comment #14)
> Another issue:
> 
> > root@ubuntu:~# tl-config /appservergroups/rdp/default/description
> > Sales department Windows Server 2008 with Terminal Services

This and another occurance of Terminal Services in the same file was replaced
in r30302.
------- Comment #16 From cendio 2015-05-11 08:27:19 -------
(In reply to comment #15)
> (In reply to comment #9)
> > The change in tlwebadm is strange:
> > 
> > from
> > 
> >   "Windows Terminal Server Groups (RDP)"
> > 
> > to
> > 
> >   "Windows Application Server Groups (RDP)"
> > 
> > 
> > Also, the screenshot in TAG does not reflect the change.
> 
> We looked into this and the name change looks correct. The screenshot wasn't,
> so that got updated in r30301.
> 
> (In reply to comment #14)
> > Another issue:
> > 
> > > root@ubuntu:~# tl-config /appservergroups/rdp/default/description
> > > Sales department Windows Server 2008 with Terminal Services
> 
> This and another occurance of Terminal Services in the same file was replaced
> in r30302.

Looks good, closing this issue.